import * as IFunction                       from './src/functions/function/function-interface';
import * as Function                        from './src/functions/function/function';
import * as BiFunction                      from './src/functions/bi-function/bi-function';
import * as UnsupportedOperationException   from './src/exceptions/unsupported-operation-exception';
import * as ReadOnlyBufferException         from './src/exceptions/read-only-buffer-exception';
import * as NullReferenceException          from './src/exceptions/null-reference-exception';
import * as InvalidMarkException            from './src/exceptions/invalid-mark-exception';
import * as IndexOutOfBoundsException       from './src/exceptions/index-out-of-bounds-exception';
import * as IllegalArgumentException        from './src/exceptions/illegal-argument-exception';
import * as Exception                       from './src/exceptions/exception';
import * as ClassCastException              from './src/exceptions/class-cast-exception';
import * as IStack                          from './src/collections/stack/stack-interface';
import * as Stack                           from './src/collections/stack/stack';
import * as ISetInterface                   from './src/collections/set/set-interface';
import * as IQueue                          from './src/collections/queue/queue-interface';
import * as Queue                           from './src/collections/queue/queue';
import * as IMap                            from './src/collections/map/map-interface';
import * as Map                             from './src/collections/map/map';
import * as IMapEntry                       from './src/collections/map/utils/map-entry/map-entry-interface';
import * as MapEntry                        from './src/collections/map/utils/map-entry/map-entry';
import * as ILinkedList                     from './src/collections/linked-list/linked-list-interface';
import * as INode                           from './src/collections/linked-list/utils/node/node-interface';
import * as Node                            from './src/collections/linked-list/utils/node/node';
import * as SinglyLinkedList                from './src/collections/linked-list/singly-linked-list/singly-linked-list';
import * as DoublyLinkedList                from './src/collections/linked-list/doubly-linked-list/doubly-linked-list';
import * as IBuffer                         from './src/collections/buffer/buffer-interface';
import * as Buffer                          from './src/collections/buffer/buffer';
import * as GenericRingBuffer               from './src/collections/buffer/generic-ring-buffer/generic-ring-buffer';
import * as GenericBuffer                   from './src/collections/buffer/generic-buffer/generic-buffer';

export default {
    IFunction: IFunction,
    Function: Function,
    BiFunction: BiFunction,
    UnsupportedOperationException: UnsupportedOperationException,
    ReadOnlyBufferException: ReadOnlyBufferException,
    NullReferenceException: NullReferenceException,
    InvalidMarkException: InvalidMarkException,
    IndexOutOfBoundsException: IndexOutOfBoundsException,
    IllegalArgumentException: IllegalArgumentException,
    Exception: Exception,
    ClassCastException: ClassCastException,
    IStack: IStack,
    Stack: Stack,
    ISetInterface: ISetInterface,
    IQueue: IQueue,
    Queue: Queue,
    IMap: IMap,
    Map: Map,
    IMapEntry: IMapEntry,
    MapEntry: MapEntry,
    ILinkedList: ILinkedList,
    INode: INode,
    Node: Node,
    SinglyLinkedList: SinglyLinkedList,
    DoublyLinkedList: DoublyLinkedList,
    IBuffer: IBuffer,
    Buffer: Buffer,
    GenericRingBuffer: GenericRingBuffer,
    GenericBuffer: GenericBuffer
};